ngram_search_fwdtree.h File Reference

Lexicon tree based Viterbi search. More...

`#include "ngram_search.h"`

Go to the source code of this file.

## Functions

void | ngram_fwdtree_init (ngram_search_t *ngs)
| Initialize N-Gram search for fwdtree decoding.
void | ngram_fwdtree_deinit (ngram_search_t *ngs)
| Release memory associated with fwdtree decoding.
int | ngram_fwdtree_reinit (ngram_search_t *ngs)
| Rebuild search structures for updated language models.
void | ngram_fwdtree_start (ngram_search_t *ngs)
| Start fwdtree decoding for an utterance.
int | ngram_fwdtree_search (ngram_search_t *ngs, int frame_idx)
| Search one frame forward in an utterance. More...
void | ngram_fwdtree_finish (ngram_search_t *ngs)
| Finish fwdtree decoding for an utterance.

## Detailed Description

Lexicon tree based Viterbi search.

Definition in file ngram_search_fwdtree.h.

## Function Documentation

## ngram_fwdtree_search()

int ngram_fwdtree_search | ( | ngram_search_t * | ngs,
|  | int | frame_idx
| ) |  |

Search one frame forward in an utterance.

Returns
  Number of frames searched (either 0 or 1).

Definition at line 1455 of file ngram_search_fwdtree.c.